org.apache.ignite.internal.processors.continuous

## Class GridContinuousQueryBatch

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.GridContinuousBatchAdapter
  - - org.apache.ignite.internal.processors.continuous.GridContinuousQueryBatch

All Implemented Interfaces:
  GridContinuousBatch

    public class GridContinuousQueryBatch
    extends GridContinuousBatchAdapter

Continuous routine batch adapter.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.GridContinuousBatchAdapter

`buf`

### Constructor Summary

Constructors
Constructor and Description
`GridContinuousQueryBatch()`

### Method Summary

Methods
`void` `add(Object obj)` Adds element to this batch.
`int` `entriesCount()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.GridContinuousBatchAdapter

`collect, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridContinuousQueryBatch

    public GridContinuousQueryBatch()

### Method Detail

#### add

    public void add(Object obj)

Adds element to this batch.

Specified by:
  `add` in interface `GridContinuousBatch`
Overrides:
  `add` in class `GridContinuousBatchAdapter`
Parameters:
  `obj` - Element to add.

#### entriesCount

    public int entriesCount()

Returns:
  Entries count.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017